import { openBlock, createElementBlock, createElementVNode, toDisplayString } from 'vue';

var script = {
  props: {
    text: String,
    link: String
  }
};

const _hoisted_1 = ["href"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("a", {
    href: $props.link
  }, [createElementVNode("button", null, toDisplayString($props.text), 1)], 8, _hoisted_1);
}

script.render = render;

// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var entry_esm = /*#__PURE__*/(() => {
  // Get component instance
  const installable = script; // Attach install function executed by Vue.use()

  installable.install = app => {
    app.component('DoanVueButton', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;

export { entry_esm as default };
